as.matrix.corStruct {nlme} | R Documentation

## Matrix of a corStruct Object

### Description

This method function extracts the correlation matrix, or list of correlation matrices, associated with `object`.

### Usage

    ## S3 method for class 'corStruct':
    as.matrix(x)

### Arguments

`x` | an object inheriting from class `corStruct`, representing a correlation structure.

### Value

If the correlation structure includes a grouping factor, the returned value will be a list with components given by the correlation matrices for each group. Otherwise, the returned value will be a matrix representing the correlation structure associated with `object`.

### Author(s)

Jose Pinheiro Jose.Pinheiro@pharma.novartis.com and Douglas Bates bates@stat.wisc.edu

### See Also

`corClasses`, `corMatrix`

### Examples

    data(Orthodont)
    cst1 <- corAR1(form = ~1|Subject)
    cst1 <- Initialize(cst1, data = Orthodont)
    as.matrix(cst1)

[Package Contents]